> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Details



## OpenAPI

````yaml openapi.json get /card/details
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /card/details:
    parameters: []
    get:
      tags:
        - Card
      summary: Card Details
      parameters:
        - name: cardId
          in: query
          required: false
          example: e78b1877-8171-4946-98d1-69ff13a5779a
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '764'
            ETag:
              schema:
                type: string
              example: W/"2fc-s8NvS2hRWc3D+CucKL1vOr/oDK4"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 09 Jul 2025 22:36:02 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Card Details - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                      status:
                        type: string
                      pan:
                        type: string
                      cvv:
                        type: string
                        format: color
                      scheme:
                        type: string
                      cardholder:
                        type: string
                      defaultPIN:
                        type: string
                        format: utc-millisec
                      expirationDate:
                        type: string
                        format: utc-millisec
                      reason:
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      merchant:
                        type: object
                        properties:
                          id:
                            type: string
                          businessName:
                            type: string
                      wallet:
                        type: object
                        properties:
                          id:
                            type: string
                          tier:
                            type: integer
                          email:
                            type: string
                            format: email
                          status:
                            type: string
                          bankCode:
                            type: string
                            format: color
                          bankName:
                            type: string
                          accountName:
                            type: string
                          phoneNumber:
                            type: string
                            format: utc-millisec
                          bookedBalance:
                            type: integer
                          availableBalance:
                            type: integer
                          accountNumber:
                            type: string
                            format: utc-millisec
                          createdAt:
                            type: string
                            format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  id: b817bf01-a671-40bb-a27c-73160692f0e8
                  type: PHYSICAL
                  status: ACTIVE
                  pan: 278167xxxxxx3832
                  cvv: '212'
                  scheme: VERVE
                  cardholder: Tomato
                  defaultPIN: '1375'
                  expirationDate: '3007'
                  reason: null
                  createdAt: '2025-07-09T18:07:15.854Z'
                  updatedAt: '2025-07-09T19:42:36.849Z'
                  merchant:
                    id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                    businessName: Kimpembe
                  wallet:
                    id: 825d62fd-534d-460e-891a-94ac678b0b55
                    tier: 1
                    email: tomato.443659@monieswitch.com
                    status: ACTIVE
                    bankCode: '999270'
                    bankName: Xpress Wallet
                    accountName: Tomato
                    phoneNumber: '2348106813750'
                    bookedBalance: 0
                    availableBalance: 0
                    accountNumber: '4458734207'
                    createdAt: '2025-06-24T08:24:30.191Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````